import { __exports as separateStyles } from "../../../../_virtual/separateStyles.js";
var hasRequiredSeparateStyles;
function requireSeparateStyles() {
  if (hasRequiredSeparateStyles) return separateStyles;
  hasRequiredSeparateStyles = 1;
  (function(exports$1) {
    Object.defineProperty(exports$1, "__esModule", {
      value: true
    });
    exports$1["default"] = void 0;
    function separateStyles2(stylesArray) {
      var classNames = [];
      var hasInlineStyles = false;
      var inlineStyles = {};
      for (var i = 0; i < stylesArray.length; i++) {
        var style = stylesArray[i];
        if (style) {
          if (typeof style === "string") {
            classNames.push(style);
          } else {
            Object.assign(inlineStyles, style);
            hasInlineStyles = true;
          }
        }
      }
      return {
        classNames,
        hasInlineStyles,
        inlineStyles
      };
    }
    var _default = separateStyles2;
    exports$1["default"] = _default;
  })(separateStyles);
  return separateStyles;
}
export {
  requireSeparateStyles as __require
};
